summaryrefslogtreecommitdiff
path: root/tests/usertools/chpasswd-PAM/01_chpasswd_invalid_user/chpasswd.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/usertools/chpasswd-PAM/01_chpasswd_invalid_user/chpasswd.test')
-rwxr-xr-xtests/usertools/chpasswd-PAM/01_chpasswd_invalid_user/chpasswd.test56
1 files changed, 0 insertions, 56 deletions
diff --git a/tests/usertools/chpasswd-PAM/01_chpasswd_invalid_user/chpasswd.test b/tests/usertools/chpasswd-PAM/01_chpasswd_invalid_user/chpasswd.test
deleted file mode 100755
index 519d0a29..00000000
--- a/tests/usertools/chpasswd-PAM/01_chpasswd_invalid_user/chpasswd.test
+++ /dev/null
@@ -1,56 +0,0 @@
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../../common/config.sh
-. ../../../common/log.sh
-
-log_start "$0" "chpasswd fails if an user does not exist"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config' 0
-
-change_config
-
-echo -n "Change nobody, lp, and foooo's password..."
-echo 'nobody:test
-lp:test2
-foooo:test3' | chpasswd 2>tmp/chpasswd.err && exit 1 || {
- status=$?
-}
-echo "OK"
-
-echo -n "Check returned status ($status)..."
-test "$status" = "1"
-echo "OK"
-
-echo "chpasswd reported:"
-echo "======================================================================="
-cat tmp/chpasswd.err
-echo "======================================================================="
-echo -n "Check that there were a failure message..."
-diff -au data/chpasswd.err tmp/chpasswd.err
-echo "error message OK."
-rm -f tmp/chpasswd.err
-
-echo -n "Check the passwd file..."
-../../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../../common/compare_file.pl data/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-